package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.reportdetial.*;
import com.engine.kq.service.KQReportDetailService;
import weaver.hrm.User;
import java.util.Map;

public class KQReportDetailServiceImpl extends Service implements KQReportDetailService {
	@Override
	public Map<String, Object> getTabs(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetTabsCmd(params, user));
	}

	@Override
	public Map<String, Object> getWorkDayInfo(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetWorkDayInfoCmd(params, user));
	}

	@Override
	public Map<String, Object> getSignInfo(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetSignInfoCmd(params, user));
	}

	@Override
	public Map<String, Object> getBeLateInfo(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetBeLateInfoCmd(params, user));
	}

	@Override
	public Map<String, Object> getLeaveEearlyInfo(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetLeaveEearlyInfoCmd(params, user));
	}

	@Override
	public Map<String, Object> getAbsenteeismInfo(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetAbsenteeismInfoCmd(params, user));
	}

	@Override
	public Map<String, Object> getForgotCheckInfo(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetForgotCheckInfoCmd(params, user));
	}

	@Override
	public Map<String, Object> getLeaveInfo(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetLeaveInfoCmd(params, user));
	}

	@Override
	public Map<String, Object> getDailyDetialInfo(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetDailyDetialInfoCmd(params, user));
	}
}
